build-depends:
- components/nasm.bst
- components/vulkan-headers.bst
- public-stacks/buildsystem-autotools.bst

depends:
- bootstrap-import.bst
- components/dav1d.bst
- components/fontconfig.bst
- components/freetype.bst
- components/fribidi.bst
- components/lame.bst
- components/libva.bst
- components/libvdpau.bst
- components/librsvg.bst
- components/mpg123.bst
- components/openal.bst
- components/libpulse.bst
- components/sdl2.bst
- components/aom.bst
- components/gnutls.bst
- components/speex.bst
- components/ladspa-sdk.bst
- components/lcms.bst
- components/libtheora.bst
- components/libgcrypt.bst
- components/libvorbis.bst
- components/libvpx.bst
- components/opus.bst
- components/openjpeg.bst
- components/vulkan-icd-loader.bst
- components/v4l-utils.bst
- components/libwebp.bst
- components/xorg-lib-xcb.bst

variables:
  optimize-debug: "false"

  ffmpeg-prefix: '%{prefix}'
  ffmpeg-libdir: '%{libdir}'
  ffmpeg-arch: '%{arch}'
  (?):
  - target_arch == "i686":
      ffmpeg-arch: x86

  conf-local: >-
    --prefix="%{ffmpeg-prefix}"
    --libdir="%{ffmpeg-libdir}"
    --optflags="${CFLAGS}"
    --extra-ldflags="${LDFLAGS}"
    --disable-stripping
    --disable-doc
    --disable-static
    --disable-encoders
    --disable-decoders
    --enable-shared
    --enable-gnutls
    --enable-gcrypt
    --enable-ladspa
    --enable-lcms2
    --enable-libaom
    --enable-libdav1d
    --enable-libmp3lame
    --enable-libfontconfig
    --enable-libfreetype
    --enable-libfribidi
    --enable-libopus
    --enable-libpulse
    --enable-libspeex
    --enable-libtheora
    --enable-libvorbis
    --enable-libvpx
    --enable-librsvg
    --enable-libwebp
    --enable-libxml2
    --enable-libopenjpeg
    --enable-openal
    --enable-opengl
    --enable-sdl2
    --disable-vulkan
    --enable-zlib
    --enable-libv4l2
    --enable-libxcb
    --enable-vdpau
    --enable-vaapi
    --enable-pthreads
    --arch="%{ffmpeg-arch}"

  conf-extra: ''

public:
  bst:
    split-rules:
      devel:
        (>):
        - '%{libdir}/libavdevice.so'
        - '%{libdir}/libavcodec.so'
        - '%{libdir}/libswscale.so'
        - '%{libdir}/libpostproc.so'
        - '%{libdir}/libavutil.so'
        - '%{libdir}/libavfilter.so'
        - '%{libdir}/libavformat.so'
        - '%{libdir}/libswresample.so'
        - '%{datadir}/ffmpeg/examples'
        - '%{datadir}/ffmpeg/examples/**'

# ffmpeg is not using autotools, but a configure and Makefile files
config:
  configure-commands:
  - ./configure %{conf-local} %{conf-extra}

sources:
- kind: git_repo
  url: ffmpeg:ffmpeg.git
  track: n*
  exclude:
  - '*-dev'
  ref: n6.1.1-0-ge38092ef9395d7049f871ef4d5411eb410e283e0
- kind: patch_queue
  path: patches/ffmpeg
